<?php
/**
 * TMBLOG 首页文件
 * ============================================================================
 * 版权所有 2008-2009 梧州腾马网络服务中心，并保留所有权利。
 * 网站地址: http://php.tmacn.cn；
 * ----------------------------------------------------------------------------
 * 这不是一个自由软件！您只能在不用于商业目的的前提下对程序代码进行修改和
 * 使用；不允许对程序代码以任何形式任何目的的再发布。
 * ============================================================================
 * $Author: tm $
*/

define('IN_ECS', true);

require(dirname(__FILE__) . '/includes/init.php');

if ((DEBUG_MODE & 2) != 2)
{
    $smarty->caching = true;
}

$smarty->assign('siteinfo',      get_site_info()); // 网站信息

$smarty->assign('tmbloggree',    get_gree_info()); // 导航栏

$smarty->assign('tmcategory',    get_category()); // 日志分类

$smarty->assign('tmpiccategory',    get_pic_category()); // 相册分类

$smarty->assign('tmart',         get_art_info()); // 文章列表

$smarty->assign('tmarttj',         get_art_tj()); // 推荐文章

$smarty->assign('tmpage',        get_page_info()); // 文章分页

$smarty->assign('tmdate',        get_date_list()); // 文章归档

$smarty->assign('tmret',        get_ret_list()); // 最新评论

$smarty->assign('userlist',        get_user_px()); // 评论用户排名

$smarty->assign('adtoplist',        get_adtop_list()); // 顶部通栏广告

$smarty->assign('adflashlist',        get_adflash_list()); // 右边轮播广告

$smarty->assign('adrightlist',        get_adright_list()); // 右边广告

$smarty->assign('tmtag',        get_tag_list()); // 网站标签

$smarty->assign('tmlink',        get_link_list()); // 友情链接

$smarty->assign('sitefoot',      get_foot_info()); // 底部信息

$smarty->assign('tmblog_dir',      request_uri()); // 当前目录

$smarty->assign('gglist',      get_gg_list()); // 公告

$smarty->assign('tmrss',      "rss.php"); // 订阅

$smarty->display('index.dwt');

?>